commit 9e28e704820eebb81ff94c1c3cbfb7db087b2c45
Author: James Coleman <jtc331@gmail.com>
Date:   Wed Sep 18 13:36:22 2019 -0400

    Document concurrent indexes waiting on each other
    
    It's not immediately obvious that because concurrent index building
    waits on previously running transactions to complete, running multiple
    concurrent index builds at the same time will result in each of them
    taking as long to return as the longest takes, so, document this caveat.

diff --git a/doc/src/sgml/ref/create_index.sgml b/doc/src/sgml/ref/create_index.sgml
index 629a31ef79..35f15abb0e 100644
--- a/doc/src/sgml/ref/create_index.sgml
+++ b/doc/src/sgml/ref/create_index.sgml
@@ -616,6 +616,13 @@ Indexes:
     cannot.
    </para>
 
+   <para>
+    Because the second table scan must wait for any transactions having a
+    snapshot preceding the start of that scan to finish before completing the
+    scan, concurrent index builds on multiple tables at the same time will
+    not return on any one table until all have completed.
+   </para>
+
    <para>
     Concurrent builds for indexes on partitioned tables are currently not
     supported.  However, you may concurrently build the index on each
